requires = [
    "setuptools>=61.0"
]
build-backend = "setuptools.build_meta"

[project]
name = "pyRbm"
description = "Python Restricted Boltzmann Machine"
dynamic = ["version"]
requires-python = ">=3.12"
authors = [
    { name = "Jens Ahrensfeld" }
]
dependencies = [
    "numpy",
    "matplotlib",
    "opencv-python",
    "opencv-contrib-python"
]
readme = "README.md"

[tool.setuptools]
package-dir = {"" = "src"}
packages = ["rbm", "image"]
